| AAX SDK 2.8.0 Avid Audio Extensions Development Kit

- Welcome
- Manual
- Classes
- Files
- Lists
- Support

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
List of all members
AAX_IACFEffectDirectData_V2 Class Referenceabstract

`#include <AAX_IACFEffectDirectData.h>`

Inheritance diagram for AAX_IACFEffectDirectData_V2:
[legend]
Collaboration diagram for AAX_IACFEffectDirectData_V2:
[legend]

## Public Member Functions
AAX host and plug-in event notification
virtual AAX_Result | NotificationReceived (AAX_CTypeID inNotificationType, const void *inNotificationData, uint32_t inNotificationDataSize)=0
| Notification Hook.
Public Member Functions inherited from AAX_IACFEffectDirectData
virtual AAX_Result | Initialize (IACFUnknown *iController)=0
| Main initialization.
virtual AAX_Result | Uninitialize ()=0
| Main uninitialization.
virtual AAX_Result | TimerWakeup (IACFUnknown *iDataAccessInterface)=0
| Periodic wakeup callback for idle-time operations.
Public Member Functions inherited from IACFUnknown
virtual BEGIN_ACFINTERFACE ACFRESULT ACFMETHODCALLTYPE | QueryInterface (const acfIID &iid, void **ppOut)=0
| Returns pointers to supported interfaces.
virtual acfUInt32 ACFMETHODCALLTYPE | AddRef (void)=0
| Increments reference count.
virtual acfUInt32 ACFMETHODCALLTYPE | Release (void)=0
| Decrements reference count.

## Member Function Documentation

## ◆ NotificationReceived()

virtual AAX_Result AAX_IACFEffectDirectData_V2::NotificationReceived | ( | AAX_CTypeID | inNotificationType,
|  | const void * | inNotificationData,
|  | uint32_t | inNotificationDataSize
| ) |  |
| pure virtual

Notification Hook.

Called from the host to deliver notifications to this object.

Look at the AAX_ENotificationEvent enumeration to see a description of events you can listen for and the data they come with.

- Note
    some notifications are sent only to the plug-in GUI while other notifications are sent only to the plug-in data model. If you are not seeing an expected notification, try checking the other plug-in objects' `NotificationReceived()` methods.
- Note
    the host may dispatch notifications synchronously or asynchronously, and calls to this method may occur concurrently on multiple threads.
  A plug-in may also dispatch custom notifications using AAX_IController::SendNotification(). Custom notifications will be posted back to the plug-in's other objects which support a `NotificationReceived()` method (e.g. the GUI).

Parameters

  [in] | inNotificationType | Type of notification being received. Notifications form the host are one of AAX_ENotificationEvent
  [in] | inNotificationData | Block of incoming notification data
  [in] | inNotificationDataSize | Size of `inNotificationData`, in bytes

Implemented in AAX_CEffectDirectData.

The documentation for this class was generated from the following file:

- AAX_IACFEffectDirectData.h